Subject: Re: boot/simple in ROM?

From: "Mark A. Greer" <[email-masked]>
Date: Thu, 24 Apr 2003 11:02:40 -0700

Jerry Van Baren wrote:

>
> The "simple" boot loaders are loaders, they are NOT bootroms.  They
> expect
> the board to have a firmware/bootrom/monitor that does the necessary very
> low level very hardware specific initialization (things like setting up
> memory maps, initializing the SDRAM controller, etc.).  The "simple" boot
> loaders do the added steps necessary for starting linux, so they are
> necessary but NOT sufficient.

In general this is true.  However, it is possible to put enough hw init
in the simple boot loader (bootwrapper as I and others now call it) to
run linux.  This has been done in the past.

Mark

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/